com.jscape.inet.mft.management.descriptors

## Class MaxFileUploadSizeServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.MaxFileUploadSizeServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class MaxFileUploadSizeServiceDescriptor
      extends ServiceDescriptor

  File upload size service descriptor. The service described by this descriptor takes responsibility for limiting file upload size.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxFileUploadSizeServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `MaxFileUploadSizeServiceDescriptor(long value)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `long` | `getValue()` Returns max file upload size.
    `void` | `setValue(long value)` Sets max file upnload size.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_VALUE

          public static final long DEFAULT_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MaxFileUploadSizeServiceDescriptor

          public MaxFileUploadSizeServiceDescriptor(long value)

      Creates a new descriptor instance.
      Parameters:
        `value` - max file upload size in bytes

    - #### MaxFileUploadSizeServiceDescriptor

          public MaxFileUploadSizeServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getValue

          public long getValue()

      Returns max file upload size.
      Returns:
        max file upload size in bytes

    - #### setValue

          public void setValue(long value)

      Sets max file upnload size.
      Parameters:
        `value` - max file upload size in bytes

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved